@font-face{
    font-family: Bahnschrift;
    src: url(BAHNSCHRIFT.woff);
}

html{
    height: 100%;
    background-color: rgb(255, 255, 255);
}

body{
    height: 100%;
}

input{
    font-family: Bahnschrift;
}

h1{
    font-family: Bahnschrift;
    font-size: 72px;
    margin: 0px;
}

h2{
    font-family: Bahnschrift; 
    margin: 0px;
    font-size: 48px;
}

h3{
    font-family: Bahnschrift;
    margin: 0px;
    font-size: 32px;
}

h4{
    font-family: Bahnschrift;
    margin: 0px;
    font-size: 26px;
}

p, label{
    font-family: Bahnschrift;
    font-size: 20px;
    margin: 0px;
}

a{
    font-family: Bahnschrift;
    font-size: 20px;
    margin: 0px;
}

b{
    font-family: Bahnschrift;
    font-size: 20px;
    margin: 0px;
}

ul{
    margin-left: 20px;
}
li{
    font-family: Bahnschrift;
    font-size: 20px;
}

header{
    height: auto;

    grid-row: 1;
    grid-column: 1;
}
footer{
    height: auto;
    grid-column: 1;
    grid-row: 3;
    
    background-color: rgba(109, 105, 105, 0.623);
    bottom: 0;
}

img{
    width: 100%;
    max-width: 100%;
    height: auto;
}

.gamepage{
    margin: 15px;
    background-color:rgb(255, 255, 255);
    min-height: 85%;
    height: auto;
    overflow: hidden;
}

.game_title{
    max-width: 100%;
}

.game_title h1{
    max-width: 100%;
    margin: 0px;
}

.game_title b{
    width: 100%;
    float: left;
}

.game_specs{
    width: 100%;
}

.game_specs h4{
    width: 100%;
}

.game_rating{
    width: 100%;
    max-width: 100%;
    float: left;
    margin-bottom: 15px;
}

.game_image{
    max-width: 100%;
    height: auto;
    margin-bottom: 10px;
}

.game_left{
    margin-right: 10px;
    width: 16.5%;
    max-width: 20%;
    float: left;
    background-color: rgb(255, 255, 255);
}

.game_right{
    margin: 0px;
    width: 80%;
    max-width: 75%;
    float: left;
    background-color: rgb(255, 255, 255);
}

.gameReviews{
    margin-top: 60px;
    height: auto;
    width: 100%;
    float: left;
}

.review{
    width: 100%;
    height: auto;
    float: left;
    margin-top: 10px;
    margin-bottom: 20px;
    margin-left: 20px;
}

textarea{
    width: 80%;
    height: 100px;
}

.review textarea{
    width: 80%;
    height: 100px;
}


.gridContainer{
    width: 100%;
    height: 100%;

    display: grid;
    grid-template-rows: 30% 63.5% 6.5%;
    grid-template-columns: 100%;
}

.siteHeader{
    overflow: hidden;

    width: 100%;
    height: 100%;

    position: relative;
    text-align: center;
}

.siteHeader img{
    position: relative;  
    
    min-width: 100%;
    min-height: 100%;
}

.siteHeaderText{
    color: white;
    float: left;

    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    overflow: hidden;

    margin: 0px;
    padding: 0px;

    width: 100%;
    height: auto;

    font-size: 4vw;
}

.siteHeader h1{
    color: white;
    float: left;
    margin: 0px;
    padding: 0px;

    width: 100%;
    height: auto;

    font-size: 4vw;
}

.siteHeader p{
    color: white;
    float: left;
    margin: 0px;
    padding: 0px;

    width: 100%;
    height: auto;

    font-size: 2vw;
}

.main{
    grid-column: 1;
    grid-row: 2;

    margin: 15px;
    background-color:rgb(255, 255, 255);
    overflow-y: scroll;
}


.siteFooter a.footer{
    color:black;
    text-decoration: none;

}

@media (max-width: 900px){
    .game_left{
        width: 100%;
        max-width: 100%;
    }

    .game_right{
        width: 100%;
        max-width: 100%;
    }

    .game_image{
        max-width: 250px;
        float: left;
        margin-right: 20px;
    }

    .game_description{
        width: 100%;
        max-width: 100%;
    }
}

@media(max-height: 600px){
    .gridContainer{
        grid-template-rows: 30% 60% 10%;
    }
}

#float-right{
    margin: 4px;
    float: right;
}

.nav-bar img{
    position: relative;
    height: 30px;
    width:  30px;
    
}

.nav-bar{
    position: absolute;
    background-color:darkgrey;
    margin-top: -2%;
    width: 100%;
}

.nav-bar a.header, a.log-in{
    color:black;
    text-decoration: none;
}

.nav-bar input[type=text]:focus{
    outline-style:none;
}

.nav-bar input[type=text]{
    padding-left: 10px;
    padding-top: 3px;
}

#home{
    font-size: 200%;
}

#searchbarInput{
    width: 20%;
    font-size: 120%;
    position: absolute;
    margin-top: 6px;
    margin-left: 1%;
    border-radius: 6px;

    border: none;


}

.header{
    margin-left: 0.1%;
}


.body{
    margin: 0;
    padding: 0;
}

.row-left{
    display: inline-block;
    margin-left: 5%;
}

.row-right{
    display: inline-block;

    margin-left: auto;
    margin-right: 5%;
}

.list{
    list-style-type: none;
}

.navigation{
    display: flex;
    max-width: 700px;
    margin: auto;
}

.reviewImage{
    min-width: 60px;
    max-width: 8%;
    height: auto;
    overflow: hidden;
    float: left;

}

.reviewBody{
    width: 91%;
    height: auto;
    float: left;
    margin-left: 1%;
}

@media (max-width: 1200px){
    .reviewImage{
        min-width: 60px;
        width: 12%;
    }
    .reviewBody{
        max-width: 85%;
    }
}

.about_us{
    width: 100%;
    height: atuo;
}

.portrait{
    width: 15%;
    height: auto;
    overflow: hidden;
    float: left;
    border-style: solid;
    border-width: 3px;
    border-color: black;
    margin-right: 20px;
    text-align: center;
}

.portrait h4{
    margin: 3px;
}

.about_us_description{
    width: 45%;
    float: left;
}

@media (max-width: 1100px){
    .portrait{
        width: 35%;
        margin-bottom: 20px;
    }
    .about_us_description{
        float:left;
        width: 90%;
    }
}

